Subject: Re: [PATCH 3/4] merge options: add a conflict style member

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Mar 2024 08:48:29 -0800

[email-masked] writes:

> I agree it is confusing, Elijah renamed it from ll-merge.c relatively
> recently 6723899932e (merge-ll: rename from ll-merge, 2023-05-16). It
> looks like the idea was to group it with the other merge* files:

That reasoning cuts both ways.  When you are only interested in the
upper level API functions, being able to skip ll-anything as "low
level details" is a powerful thing.  merge-ll & hash-ll separated
far apart will make it impossible.